Linux compatibility reference

  • Revision slug: Linux_compatibility_reference
  • Revision title: Linux compatibility reference
  • Revision id: 170687
  • Created:
  • Creator: Benjamin Smedberg
  • Is current revision? No
  • Comment

Revision Content

For Firefox 3/Gecko 1.9, the release team is planning on maintaining binary compatibility with the following Linux distributions:

Distro libstdc++ Gnome ATK
RHEL/
CentOS
4.0 ? ? ?
4.1 ? ? ?
4.2 ? ? ?
4.3 libstdc++.so.5 and .6 2.8.0 1.8.0
Fedora Core 4 libstdc++.so.6 2.10 ?
5 libstdc++.so.6 2.14.1 ?
6 ? ? ?
SuSE 10.0 libstdc++.so.6 2.12.0.1 1.10.3
10.1 ? ? ?
10.2 ? ? ?
Ubuntu 5.10 ? 2.12.1 ?
6.0x ? 2.14.1 ?

Revision Source

<p>For Firefox 3/Gecko 1.9, the release team is planning on maintaining binary compatibility with the following Linux distributions:
</p>
<table class="standard-table">
<tbody><tr>
  <th colspan="2">Distro
  </th><th>libstdc++
  </th><th>Gnome
  </th><th>ATK
</th></tr><tr>
  <th rowspan="4">RHEL/<br>CentOS
  </th><th>4.0
  </th><td>?
  </td><td>?
  </td><td>?
</td></tr><tr>
  <th>4.1
  </th><td>?
  </td><td>?
  </td><td>?
</td></tr><tr>
  <th>4.2
  </th><td>?
  </td><td>?
  </td><td>?
</td></tr><tr>
  <th>4.3
  </th><td>libstdc++.so.5 and .6
  </td><td>2.8.0
  </td><td>1.8.0
</td></tr><tr>
  <th rowspan="3">Fedora Core
  </th><th>4
  </th><td>libstdc++.so.6
  </td><td>2.10
  </td><td>?
</td></tr><tr>
  <th>5
  </th><td>libstdc++.so.6
  </td><td>2.14.1
  </td><td>?
</td></tr><tr>
  <th>6
  </th><td>?
  </td><td>?
  </td><td>?
</td></tr><tr>
  <th rowspan="3">SuSE
  </th><th>10.0
  </th><td>libstdc++.so.6
  </td><td>2.12.0.1
  </td><td>1.10.3
</td></tr><tr>
  <th>10.1
  </th><td>?
  </td><td>?
  </td><td>?
</td></tr><tr>
  <th>10.2
  </th><td>?
  </td><td>?
  </td><td>?
</td></tr><tr>
  <th rowspan="3">Ubuntu
  </th><th>5.10
  </th><td>?
  </td><td>2.12.1
  </td><td>?
</td></tr><tr>
  <th>6.0x
  </th><td>?
  </td><td>2.14.1
  </td><td>?
</td></tr></tbody></table>
Revert to this revision